version: 0.2

phases:
  install:
    runtime-versions:
      java: corretto8
  build:
    commands:
      - echo Build started on `date`
      - mvn test
  post_build:
    commands:
      - echo Build completed on `date`
      - mvn package
      - mv target/team-2-webapp-1.0-SNAPSHOT.war ROOT.war
artifacts:
  files:
    - ROOT.war
  discard-paths: yes
